qmail-pw2u(8)

NAZWA
qmail-pw2u - buduje przypisania adresów na podstawie pliku passwd

SKŁADNIA
qmail-pw2u [ -/ohHuUC ] [ -cznak ]

OPIS
qmail-pw2u czyta plik passwd w formacie V7 ze standardowego wejścia i drukuje plik w formacie qmail-users. Format V7 pliku passwd jest to seria linii w formacie:
       użytkownik:hasło:uid:gid:gecos:domowy:shell
gdzie użytkownik jest nazwą konta, uid i gid to identyfikatory użytkownika i grupy tego konta, a domowy to katalog domowy. hasło, gecos i shell są ignorowane przez qmail-pw2u. Jeśli wyjście programu qmail-pw2u zostanie przekierowane do pliku /var/lib/qmail/users/assign, a potem zostanie uruchomiony qmail-newu, to qmail-lspawn będzie postępować zgodnie z wypisanymi przez qmail-pw2u przypisaniami. OSTRZEŻENIE: Po zmianach dotyczących użytkowników, ich identyfikatorów lub katalogów domowych w pliku passwd trzeba ponownie uruchomić qmail-pw2u i qmail-newu, aby qmail-lspawn zauważył zmiany.

REGUŁY
Domyślnie, qmail-pw2u postępuje zgodnie z tymi samymi regułami, co qmail-getpw. Pomija użytkownika, jeśli (1) uid ma wartość zero, (2) katalog domowy nie istnieje, (3) użytkownik nie jest właścicielem katalogu domowy lub (4) nazwa użytkownika zawiera duże litery. Potem przekazywana jest kontrola użytkownika nad adresem podstawowym widocznym jako użytkownik i nad wszystkimi adresami w formie użytkownik-cokolwiek. Łapacz wszystkich użytkowników, alias, kontroluje wszystkie pozostałe adresy Można zmieniać te reguły przez zmiany w plikach z /var/lib/qmail/users:

include
    Dozwoleni użytkownicy, jeden na linię. Jeśli plik include istnieje, a użytkownik nie jest w nim wyszczególniony, to użytkownik ten jest ignorowany.

exclude
    Użytkownicy ignorowani, jeden na linię. Jeśli plik exclude istnieje, a użytkownik jest w nim wyszczególniony, to użytkownik ten jest ignorowany.

mailnames
    Zmiana nazw dla użytkowników. Każda linia jest postaci
           użytkownik:nazwapocztowa1:nazwapocztowa2:...
    Listy zaadresowane do nazwapocztowa1 i nazwapocztowa1-dod oraz nazwapocztowa2 i inne wyszczególnione będą dostarczone do użytkownika. OSTRZEŻENIE: Listy zaadresowane do użytkownik i użytkownik-dod nie będą dostarczone do użytkownika, dopóki sam użytkownik nie jest wyszczególniony jako jedno z pól nazwapocztowa. Linia w pliku mailnames jest po cichu ignorowana, jeśli użytkownik nie istnieje.

subusers
    adresy dodatkowe. Każda linia ma postać
           pod:użytkownik:przed:
    pod będzie obsługiwane przez domowy/.qmail-przed, gdzie domowy to katalog domowy użytkownika; pod-dod będzie obsługiwane przez domowy/.qmail-przed-dod.

append
    Dodatkowe przypisania, wypisywane na końcu wyjścia qmail-pw2u.

OPCJE

-o  (Domyślna.) Pomija użytkownika, jeśli jego katalog domowy nie istnieje (lub nie jest widoczny dla qmail-pw2u). Pomija użytkownika, jeśli katalog domowy nie jest własnością użytkownika.

-h  Zatrzymuje się, jeśli katalog domowy nie istnieje. Jest to odpowiednie, jeśli każdy użytkownik przypuszczalnie ma katalog domowy. Pomija użytkownika, jeśli katalog domowy do niego nie należy.

-H  Nie sprawdzaj obecności posiadania katalogu domowego.

-U  (Domyślna.) Pomija użytkownika, jeśli są jakieś duże litery w nazwie użytkownika.

-u  Zezwala na duże litery w nazwie użytkownika.

-cznak
    Używa znaku zamiast znaku - jako separatora nazwy użytkownika od rozszerzenia.

-C  Wyłącza mechanizm użytkownik-rozszerzenie.

-/  Używa domowy/.qmail-/... zamiast domowy/.qmail-...

ZOBACZ TAKŻE
qmail-users(5), qmail-lspawn(8), qmail-newu(8), qmail-getpw(8)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Paweł Wilk (PTM) <siefca@pl.qmail.org> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.06 oryginału.